Determining if the pthread_create exist failed with the following output:
Change Dir: /opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_b0556/fast"
gmake[3]: Entering directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'
/usr/bin/gmake -f CMakeFiles/cmTC_b0556.dir/build.make CMakeFiles/cmTC_b0556.dir/build
gmake[4]: Entering directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_b0556.dir/CheckSymbolExists.c.o
/opt/anaconda1anaconda2anaconda3/bin/cc    -o CMakeFiles/cmTC_b0556.dir/CheckSymbolExists.c.o   -c /opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_b0556
/opt/anaconda1anaconda2anaconda3/bin/cmake -E cmake_link_script CMakeFiles/cmTC_b0556.dir/link.txt --verbose=1
/opt/anaconda1anaconda2anaconda3/bin/cc      -rdynamic CMakeFiles/cmTC_b0556.dir/CheckSymbolExists.c.o  -o cmTC_b0556 
CMakeFiles/cmTC_b0556.dir/CheckSymbolExists.c.o: In function `main':
CheckSymbolExists.c:(.text+0x16): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
gmake[4]: *** [cmTC_b0556] Error 1
gmake[4]: Leaving directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'
gmake[3]: *** [cmTC_b0556/fast] Error 2
gmake[3]: Leaving directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'

File /opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_c6aa5/fast"
gmake[3]: Entering directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'
/usr/bin/gmake -f CMakeFiles/cmTC_c6aa5.dir/build.make CMakeFiles/cmTC_c6aa5.dir/build
gmake[4]: Entering directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_c6aa5.dir/CheckFunctionExists.c.o
/opt/anaconda1anaconda2anaconda3/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_c6aa5.dir/CheckFunctionExists.c.o   -c /opt/anaconda1anaconda2anaconda3/share/cmake-3.10/Modules/CheckFunctionExists.c
Linking C executable cmTC_c6aa5
/opt/anaconda1anaconda2anaconda3/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c6aa5.dir/link.txt --verbose=1
/opt/anaconda1anaconda2anaconda3/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create    -rdynamic CMakeFiles/cmTC_c6aa5.dir/CheckFunctionExists.c.o  -o cmTC_c6aa5 -lpthreads 
/opt/rh/devtoolset-2/root/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
gmake[4]: *** [cmTC_c6aa5] Error 1
gmake[4]: Leaving directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'
gmake[3]: *** [cmTC_c6aa5/fast] Error 2
gmake[3]: Leaving directory `/opt/anaconda1anaconda2anaconda3/vendor/gtest160-build/CMakeFiles/CMakeTmp'


